/*
 * @Company: hugeInfo
 * @Author: lwh
 * @Date: 2022-08-09 09:38:59
 * @LastEditTime: 2022-08-19 11:42:24
 * @LastEditors: ldh
 * @Version: 1.0.0
 * @Description: 右上角更多操作显示
 */
import React from 'react';
import MyModal from '../MyModal';
import './index.less';

const ModalContent = ({ data, visible, visibleOnClick }) => {
	return (
		<MyModal visible={visible} center width={280} onClose={() => visibleOnClick('', false)}>
			<div className="modalContent">
				{data.list &&
					data.list.map((item, index) => {
						return (
							<div onClick={() => visibleOnClick(item, false)} key={index} className="modalContent-item">
								{item.title}
							</div>
						);
					})}
			</div>
			<div className="modalContent-bottom" onClick={() => visibleOnClick('', false)}>
				取消
			</div>
		</MyModal>
	);
};

export default ModalContent;
